@charset "UTF-8";
/* contact */
.p-contact,
.p-qanda{
    padding-bottom: 80px;
}

/* q and a */
.p-qanda__groupTitle{
    font-size: 24px;
    font-family: "MFW-PIshiiGothicStdN-M";
    margin: 24px 0;
}

.p-qanda__listWrap{
    margin-bottom: 40px;
}

.p-qanda__listItem{
    padding: 40px 0;
    border-top: 1px solid var(--text-color);

    & .qtitle{
        font-size: 18px;
        padding-right: 20px;
    }

    &:last-child{
        border-bottom: 1px solid var(--text-color);
    }
}

.p-qanda__listItem .atext {
    display: none;
    margin-top: 40px;
}

.p-qanda__listItem.is-open .atext {
    display: block;
}

.p-qanda__listItem .atext a {
    color: var(--accent-color-teal);
}

.p-qanda__listItem .atext a:hover {
    text-decoration: underline;
}

.p-qanda__listItem .qtitle{
    cursor: pointer; 
    position: relative;

    &::before,&::after{
        content: "";
        position: absolute;
        top: 50%;
        right: 0;
        width: 16px;
        height: 2px;
        background: currentColor;
        transform-origin: center;
        transition: transform 200ms ease, opacity 200ms ease;
    }
}

.p-qanda__listItem .qtitle::before{
  transform: translateY(-50%);
}

.p-qanda__listItem .qtitle::after{
  transform: translateY(-50%) rotate(-90deg);
}

.p-qanda__listItem.is-open .qtitle::after{
  transform: translateY(-50%) rotate(0deg);
  opacity: 0;
}


/* 利用規約 */
.p-termsContant{
    padding-bottom: 80px;

    a {
        border-bottom: 1px solid red;
    }

    iframe{
        width: 100%;
        aspect-ratio: 16 / 9;
    }

    & .mg40{
        margin-top: 40px;
    }

    & .mainTitle{
        font-size: 24px;
        text-align: center;
        padding-bottom: 40px;
    }

    & .rightText {
        text-align: right;
    }

    & p.--pad-top {
        padding-top: 16px;
    }
    & p.--pad-bottom {
        padding-bottom: 16px;
    }

    & .numberList{
        margin-top: 40px;
        list-style: decimal;
        list-style-position: inside;

        > li:not(:first-child){
            margin-top: 32px;
        }
    }

    .article-count {
        margin-top: 32px;
        margin-bottom: 16px;
        font-weight: bold;
    }
    /* 親階層リスト */
    & .term-list {
        margin-top: 16px;
        list-style: decimal;
        list-style-position: inside;

        > li:not(:first-child){
            margin-top: 16px;
        }
    }
    /* 子階層リスト(ナンバー) */
    & .term-list-child {
        list-style-type: none;
        counter-reset: level2;
        margin-top: 16px;
        padding-left: 2em;
    }
    & .term-list-child > li {
        counter-increment: level2;
    }
    & .term-list-child > li::before {
        content: "(" counter(level2) ") ";
    }
    /* 子階層リスト(中点) */
    & .term-list-dot {
        list-style-type: disc;
        margin-top: 16px;
        padding-left: 2em;
    }
    & .term-list-dot-nopad {
        list-style-type: disc;
        padding-left: 2em;
    }
    & .term-list-dot > li::before, & .term-list-dot-nopad > li::before {
        margin-right: 0.25em;
    }

    /* プライバシーポリシーの企業一覧 */
    .privacy-tool-table {
        margin-top: 16px;
        margin-bottom: 16px;
        width: 100%;
        border-collapse: collapse;
    }
    .privacy-tool-table th {
        background-color: #f5deb3;
    }
    .privacy-tool-table th,
    .privacy-tool-table td {
        font-size: 12px;
        border: 1px solid #ccc;
        padding: 8px 10px;
        text-align: left;
        vertical-align: top;
    }

    & .circleList{
        list-style: disc;
        padding-left: 20px;
    }

    & .titleList{
        & .titleListItem{
            display: flex;
            gap: 64px;

            &:not(:first-child){
                margin-top: 32px;
            }

            & .title{
                flex-basis: 170px;
            }

            & .text{
                flex-basis: calc(100% - 170px);
            }
        }   
    }
}


@media screen and (max-width: 1024px) {
    .p-termsContant {
        & .titleList {
            & .titleListItem{
                flex-direction: column;
                gap: 8px;

                & .title,.text{
                    flex-basis: auto;
                }
            }
        }
    }
    
}